Verification of a creditor/beneficiary account.
/accounts/verificationAuthorization
oauthBearerToken The access token obtained as a result of OAuth 2.0 flows. SWIFT supports the below OAuth grant type for the two environments where the API is exposed.
- MV-SIPN - jwt-bearer grant type RFC 7523 with Signed JWT assertion
- Internet - jwt-bearer grant type RFC 7523 with Signed JWT assertion
This API uses JWT-Bearer grant type.
Please visit SWIFT OAuth Token API page for more information and examples on how to generate an OAuth token.
In this declaration only the basic security element to transport the bearer token of an OAuth2 process is declared.
In: header
Header Parameters
The header is a unique identifier used to track an API request throughout its entire lifecycle. It serves as a "trace" for a given request/response cycle, allowing each system component that handles the request to associate logs, metrics, and actions with the same ID, facilitating debugging, monitoring, and tracing across distributed systems. The id is an uuid as described in IETF RFC 4122 Universally Unique Identifier (UUID) URN Namespace.Pattern - ^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$.
Usage -
- When a consumer makes an API request, the client or API gateway generates a unique trace ID and includes it in the X-Request-ID header.
- If the request does not include a trace ID (e.g., from consumer), a new trace ID should be created by the API Gateway and returned to the client in the response header for future tracking.
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
PartyAccount matches and the matching was done by the party agent holding the account.
{
"account_match": "MTCH",
"verification_source": "HOLD"
}{
"severity": "Fatal",
"code": "SwAP501",
"text": "API request is malformed."
}{
"severity": "Fatal",
"code": "SwAP502",
"text": "Invalid OAuth access token."
}{
"severity": "Fatal",
"code": "SwAP503",
"text": "OAuth access token has insufficient scope for the requested service."
}{
"severity": "Fatal",
"code": "SwAP506",
"text": "Resource does not exist."
}{
"severity": "Transient",
"code": "SwAP507",
"text": "Request cannot be processed at this time. Please try again."
}{
"severity": "Transient",
"code": "SwAP590",
"text": "Service is temporarily unavailable."
}{
"severity": "Transient",
"code": "SwAP591",
"text": "Service Provider time out."
}{
"severity": "Fatal",
"code": "Sw.payVal.defaultError",
"text": "Service is temporarily unavailable."
}Get UI Corridor Rules. GET
The endpoint enables Debtor Agents to request Creditor Market UI Payment rules (payment data) facilitating data capture prior to transaction submission, ensuring seamless end-to-end Straight-Through Processing (STP). The endpoint delivers country-specific payment regulations and information requirements, as defined by regulatory authorities and correspondent banks, to facilitate payment execution in JSON schema format. **Specifying Request Filter** Parameters are specified in the form name=value. A parameter list is appended to a URI after a "?". Multiple parameters are separated by "&". **Use of logical operator AND (payment-function and payment-type and country-from and country-to and currency-to)** https://api.swiftnet.sipn.swift.com/swift-preval/v1/ui-corridor-rules?payment-function=P2P&payment-type=A2A&country-from=UK&country-to=IN¤cy-to=INR `Note that in this example, the query parameters are not URL encoded for readability.`
Check and get details of the Payment Pre-validation Data Provider. POST
Check whether the specified party agent is registered as a Data Provider and retrieve all relevant information regarding that Payment Pre-validation Data Provider. This service returns information only for active Data Providers. Identification is based on one or more of the following identifiers: BIC, Clearing System Member Identification, or LEI. When multiple identifiers are provided, the system checks them in the following order of precedence: BIC → Clearing System Member Identification → LEI